org.apache.ignite.logger.java

## Class JavaLoggerFileHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - org.apache.ignite.logger.java.JavaLoggerFileHandler

    public final class JavaLoggerFileHandler
    extends StreamHandler

File logging handler which skips all the messages until node ID is set.

### Constructor Summary

Constructors
Constructor and Description
`JavaLoggerFileHandler()`

### Method Summary

Methods
`void` `close()`
`String` `fileName()` Returns current log file.
`void` `flush()`
`boolean` `isLoggable(LogRecord record)`
`void` `nodeId(UUID nodeId, String workDir)` Sets Node id and instantiates `FileHandler` delegate.
`void` `publish(LogRecord record)`
`String` `toString()`

### Methods inherited from class java.util.logging.StreamHandler

`setEncoding, setOutputStream`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JavaLoggerFileHandler

    public JavaLoggerFileHandler()

### Method Detail

#### publish

    public void publish(LogRecord record)

Overrides:
  `publish` in class `StreamHandler`

#### flush

    public void flush()

Overrides:
  `flush` in class `StreamHandler`

#### close

    public void close()
               throws SecurityException

Overrides:
  `close` in class `StreamHandler`
Throws:
  `SecurityException`

#### isLoggable

    public boolean isLoggable(LogRecord record)

Overrides:
  `isLoggable` in class `StreamHandler`

#### nodeId

    public void nodeId(UUID nodeId,
              String workDir)
                throws IgniteCheckedException,
                       IOException

Sets Node id and instantiates `FileHandler` delegate.

Parameters:
  `nodeId` - Node id.
Throws:
  `IgniteCheckedException`
  `IOException`

#### fileName

    @Nullable
    public String fileName()

Returns current log file.

Returns:
  Pattern or `null` if node id has not been set yet.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017